Loading...
Searching...
No Matches
itkMultiInputImageToImageMetricBase.h File Reference
`#include "itkAdvancedImageToImageMetric.h"`
`#include <vector>`
`#include "itkMultiInputImageToImageMetricBase.hxx"`
Include dependency graph for itkMultiInputImageToImageMetricBase.h:

Go to the source code of this file.

## Data Structures

class | itk::MultiInputImageToImageMetricBase< TFixedImage, TMovingImage >

## Namespaces

namespace | itk

## Macros

#define | itkSetNumberOfMacro(name)

## Macro Definition Documentation

## itkSetNumberOfMacro

#define itkSetNumberOfMacro | ( |  | name | ) |

Value:
virtual void SetNumberOf##name##s(const unsigned int _arg) \
{ \
if (this->m_NumberOf##name##s != _arg) \
{ \
this->m_##name##Vector.resize(_arg); \
this->m_NumberOf##name##s = _arg; \
this->Modified(); \
} \
}

Macro for setting the number of objects.

Definition at line 25 of file itkMultiInputImageToImageMetricBase.h.

Generated on 1768596610 for elastix by 1.15.0 |